import { ResponsiveSize } from '@dvn/alaca/utils/ui';
import { PairConfig } from '@dvn/core/models/pair-config';
import { EventEmitter } from '../../../../../stencil-public-runtime';
import { AtamaApi } from '../../api/atamaApi';
import { AtamaMemberPairDetailViewI18n } from '../../views/atama-member-pair-detail-view-config';
export declare class AtamaStructuredPairOverview {
  meetingsByIdentifiers: {
    [key: string]: any;
  };
  shownMeetingConfig: any;
  i18n: AtamaMemberPairDetailViewI18n;
  apiAtama: AtamaApi;
  pairConfig: PairConfig;
  userRefFieldId: string;
  size: ResponsiveSize;
  showCreateMeetingButton: boolean;
  action: EventEmitter;
  componentDidLoad(): void;
  fetchMeetings(): Promise<void>;
  render(): any;
  renderList(): any[];
}
